/**
 * Header-fil for stoppesteder-klassen
 * 
 * @file stoppesteder.h
 * @author Sondre Sand & Frederik Simonsen
 */

#ifndef __STOPPESTEDER_H
#define __STOPPESTEDER_H

#include <vector>
#include <string>
#include "stoppested.h"

/**
 * Stoppesteder (med en oversikt over alle stoppesteder)
 */
class Stoppesteder {
    private:
        std::vector <Stoppested*> stopper;
    public:
        ~Stoppesteder();
        bool finnesIndeks(const int nr);
        bool ikkeHarTall(const std::string nvn);
        bool tom();
        int hentIndeksVhaNavn(const std::string nvn);
        std::string byttBokstaver(const std::string nvn);
        std::string finnEntydig(std::string nvn);
        std::string hentNavnVhaIndeks(const int nr);
        Stoppested* finnDuplikat(std::string nvn);
        void handling();
        void lesFraFil();
        void nyStop();
        void skrivAlle();
        void skrivMeny();
        void skrivStopp();
        void skrivTilFil();
};

#endif